Page MenuHomePhabricator

YAML error when parsing automatically saved config
Closed, ResolvedPublic

Description

My keyboard shortcuts get reset from "no key" to the default keys, with the debug output "Mi Mai 30 18:45:50 2018 ERROR: YAML Parsing error (shortcut-list): yaml-cpp: error at line 54, column 5: bad conversion". Closing Huggle afterwards removes the possibly broken shortcut entries:

https://en.wikipedia.org/w/index.php?title=User:ToBeFree/huggle.yaml.js&diff=843664516&oldid=843664277

Starting it again works without errors, but all shortcuts have been reset. I can then modify the shortcut list again, close Huggle, and they get written to config:

https://en.wikipedia.org/w/index.php?title=User:ToBeFree/huggle.yaml.js&diff=843664277&oldid=843663739

Restarting then causes the yaml-cpp error to appear again, resetting all shortcuts.

https://en.wikipedia.org/w/index.php?title=User:ToBeFree/huggle.yaml.js&action=history

I have already tried clearing the configuration with Huggle started, to force it to re-write everything on exit. That didn't change the problem.

I will now try clearing the config before starting Huggle, to force a complete reset.

Event Timeline

ToBeFree created this task.May 30 2018, 4:56 PM
Restricted Application added subscribers: RichSmith, Aklapper. · View Herald TranscriptMay 30 2018, 4:56 PM

If the configuration file huggle.yaml.js exists as an empty Wikipedia page, Huggle refuses to start. I can't even reset the configuration that way. :)

Petrb added a subscriber: Petrb.May 30 2018, 6:51 PM

it works to me, but maybe my shortcuts are more simple...

can you try with latest nightly build? I changed it so that shortcuts are now escaped in yaml config file.

Petrb triaged this task as High priority.May 31 2018, 6:56 PM
ToBeFree closed this task as Resolved.Jun 2 2018, 4:06 PM
ToBeFree claimed this task.

Thank you very much :)

Additional note: "insert-edits-of-rolled-user-to-queue" is a wonderful feature. Without being able to name it as a specific feature request, I have unknowingly always missed this. The new release has fixed the bug and added a nice feature.

Vvjjkkii renamed this task from YAML error when parsing automatically saved config to 8ybaaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed ToBeFree as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
RichSmith renamed this task from 8ybaaaaaaa to YAML error when parsing automatically saved config.Jul 1 2018, 6:48 AM
RichSmith closed this task as Resolved.
RichSmith assigned this task to ToBeFree.
RichSmith updated the task description. (Show Details)
RichSmith added a subscriber: Aklapper.